{% extends 'base.html.twig' %}

{% block title %}{{parent()}} Éditeur{% endblock %}

{% block body %}
<div class="row">

  <h1 class="mb-4 display-1">
    <span class="text-muted">Éditeur :</span> {{publisher.name}}
  </h1>

  <div class="accordion mb-4">

    {% if publisher.publisherMemberships is not empty %}
    <div class="accordion-item">
      <h2 class="accordion-header">
        <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-memberships" aria-controls="collapse-memberships">
          Personnes membres ({{publisher.publisherMemberships|length}})
        </button>
      </h2>
      <div id="collapse-memberships" class="accordion-collapse collapse show" >
        <div class="accordion-body">
          <ul class="list-group list-group-flush">
            {% for association in publisher.publisherMemberships %}
              <li class="list-group-item">
                 <span>
                  <a href="{{path('person', {id: association.person.id})}}"> {{association.person.firstname}} {{association.person.lastname}}</a>
                </span> <br/>
                <span class="metadata-name">
                  Rôle 
                </span>
                {{association.activity.name}} <br/>
              </li>
            {% endfor %}
          </ul>
        </div>
      </div>
    {% endif %}

    {% if publisher.publications is not empty %}
    <div class="accordion-item">
      <h2 class="accordion-header">
        <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-publications" aria-controls="collapse-publications">
          Publications ({{publisher.publications|length}})
        </button>
      </h2>
      <div id="collapse-publications" class="accordion-collapse collapse show" >
        <div class="accordion-body">
          
          <table id="datatable" class="table table-striped">
            <thead>
              <tr>
                <th scope="col">Édition</th>
                <th scope="col">Pièce</th>
                <th scope="col">Date</th>
              </tr>
            </thead>
            <tbody>
            {% for publication in publisher.publications|sort((a, b) => a.start <=> b.start)  %}
                {% if publication.title %}
                    {% set publititle = publication.title  %} 
                {% elseif publication.alternativeTitle %}
                    {% set publititle = publication.alternativeTitle  %} 
                {% else %}
                    {% set publititle = publication.script.title %}
                {% endif %}

              <tr>
                <td scope="col">
                  <a href="{{ path('publication', {id: publication.id}) }}">
                    <i> {{publititle}}</i>
                      , {{ interval( publication.start, publication.end) }}, {% for loc in publication.location %}                    
                              {{loc.name}}{{ not loop.last ? '-' }}
                        {% endfor %}
                  </a> 
                </td>
                <td scope="col">
                  <a href="{{path('script', {id: publication.script.id})}}"> 
                    <i>{{publication.script.title}}</i>
                    {% if publication.script.creators is not empty %}
                      (
                        {% for creator in publication.script.creators %}     
                            {% if creator.person.pseudonym %}
                                {{creator.person.pseudonym}}
                            {% else %}    
                                {{creator.person.firstname}} {{creator.person.lastname}}
                            {% endif %}
                                {{ not loop.last ? ',' }}
                        {% endfor %}
                      )
                    {% endif %}
                  </a>
                </td>
                <td scope="col">
                      {# <a href="{{ path('dateaccess', {'from': publication.start|date("Y-m-d", false), 'to': publication.end|date("Y-m-d", false)}) }}"> #}
                        {{ interval( publication.start, publication.end) }}
                      {# </a> #}
                </td>
              </tr>
            {% endfor %}
          </tbody>
          </table>
        
        </div>
      </div>
    {% endif %}
    
  </div>
</div>
{% endblock %}
